/*
// Casey Burkhardt
// CSC 1051-002 - Algorithms and Data Structures I
// 12/16/2007
// StatusPanel.java
// Manages the Panel containing Puzzle and Letters Guessed Labels for Hangman
*/

import javax.swing.*;
import java.awt.*;

public class StatusPanel extends JPanel
{
	private JLabel label2, label3;

   public StatusPanel ()
   {
		// Panel Properties
      setBackground (Color.gray);
      setPreferredSize (new Dimension(645, 70));

		// Labels
		label2 = new JLabel("No Word Selected");
		label3 = new JLabel("");
		Font f = new Font("Arial",Font.BOLD,16);
		label2.setFont(f);
		label3.setFont(f);
		this.add (label2);
		this.add (label3);
	   }
	
	// Updates Puzzle Label
	public void setPuzzle(String puzzle)
	{
		label2.setText(puzzle);
	}
	
	// Updated Letters Guessed Label
	public void setGuessedLetters(String letters)
	{
		label3.setText(letters);
	}

}