/*
// Casey Burkhardt
// CSC 1051-002 - Algorithms and Data Structures I
// 12/16/2007
// LetterPanel.java
// Manages the Panel containing Letter buttons for Hangman
*/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.util.EventObject;

public class LetterPanel extends JPanel
{
	// Declare All Button Objects
	private JButton A, B, C, D, E, F, G, H, I, J, K, L, M, N, O, P, Q, R, S, T, U, V, W, X, Y, Z;

   public LetterPanel()
   {
		// Panel Properties
      setBackground (Color.gray);
      setPreferredSize (new Dimension(320, 200));

		// Instanciate Button Objects
		A = new JButton ("A");
		B = new JButton ("B");
		C = new JButton ("C");
		D = new JButton ("D");
		E = new JButton ("E");
		F = new JButton ("F");
		G = new JButton ("G");
		H = new JButton ("H");
		I = new JButton ("I");
		J = new JButton ("J");
		K = new JButton ("K");
		L = new JButton ("L");
		M = new JButton ("M");
		N = new JButton ("N");
		O = new JButton ("O");
		P = new JButton ("P");
		Q = new JButton ("Q");
		R = new JButton ("R");
		S = new JButton ("S");
		T = new JButton ("T");
		U = new JButton ("U");
		V = new JButton ("V");
		W = new JButton ("W");
		Y = new JButton ("Y");
		X = new JButton ("X");
		Z = new JButton ("Z");
		
		// Declare Listener and Instanciate on each button
		ButtonListener listener = new ButtonListener();
      A.addActionListener(listener);
		B.addActionListener(listener);
		C.addActionListener(listener);
		D.addActionListener(listener);
		E.addActionListener(listener);
		F.addActionListener(listener);
		G.addActionListener(listener);
		H.addActionListener(listener);
		I.addActionListener(listener);
		J.addActionListener(listener);
		K.addActionListener(listener);
		L.addActionListener(listener);
		M.addActionListener(listener);
		N.addActionListener(listener);
		O.addActionListener(listener);
		P.addActionListener(listener);
		Q.addActionListener(listener);
		R.addActionListener(listener);
		S.addActionListener(listener);
		T.addActionListener(listener);
		U.addActionListener(listener);
		V.addActionListener(listener);
		W.addActionListener(listener);
		X.addActionListener(listener);
		Y.addActionListener(listener);
		Z.addActionListener(listener);
		
		// Display Buttons
		add(A);
		add(B);
		add(C);
		add(D);	
		add(E);
		add(F);
		add(G);
		add(H);
		add(I);
		add(J);
		add(K);
		add(L);
		add(M);
		add(N);			
		add(O);
		add(P);	
		add(Q);
		add(R);	
		add(S);
		add(T);
		add(U);
		add(V);
		add(W);
		add(X);			
		add(Y);
		add(Z);	
   }
	
	private class ButtonListener implements ActionListener
   {
		// Gray's Button on Click and Calls ButtonEvent
		// There was an easier way to do this, but it did not function properly
		public void actionPerformed (ActionEvent event)
		{
			if (event.getSource() == A)
			{
				A.setEnabled(false);
				HangmanGUI.ButtonEvent("A");
			}
			if (event.getSource() == B)
			{
				B.setEnabled(false);
				HangmanGUI.ButtonEvent("B");
			}
			if (event.getSource() == C)
			{
				C.setEnabled(false);
				HangmanGUI.ButtonEvent("C");
			}
			if (event.getSource() == D)
			{
				D.setEnabled(false);
				HangmanGUI.ButtonEvent("D");
			}
			if (event.getSource() == E)
			{
				E.setEnabled(false);
				HangmanGUI.ButtonEvent("E");
			}
			if (event.getSource() == F)
			{
				F.setEnabled(false);
				HangmanGUI.ButtonEvent("F");
			}
			if (event.getSource() == G)
			{
				G.setEnabled(false);
				HangmanGUI.ButtonEvent("G");
			}
			if (event.getSource() == H)
			{
				H.setEnabled(false);
				HangmanGUI.ButtonEvent("H");
			}
			if (event.getSource() == I)
			{
				I.setEnabled(false);
				HangmanGUI.ButtonEvent("I");
			}
			if (event.getSource() == J)
			{
				J.setEnabled(false);
				HangmanGUI.ButtonEvent("J");
			}
			if (event.getSource() == K)
			{
				K.setEnabled(false);
				HangmanGUI.ButtonEvent("K");
			}
			if (event.getSource() == L)
			{
				L.setEnabled(false);
				HangmanGUI.ButtonEvent("L");
			}
			if (event.getSource() == M)
			{
				M.setEnabled(false);
				HangmanGUI.ButtonEvent("M");
			}
			if (event.getSource() == N)
			{
				N.setEnabled(false);
				HangmanGUI.ButtonEvent("N");
			}
			if (event.getSource() == O)
			{
				O.setEnabled(false);
				HangmanGUI.ButtonEvent("O");
			}
			if (event.getSource() == P)
			{
				P.setEnabled(false);
				HangmanGUI.ButtonEvent("P");
			}
			if (event.getSource() == Q)
			{
				Q.setEnabled(false);
				HangmanGUI.ButtonEvent("Q");
			}
			if (event.getSource() == R)
			{
				R.setEnabled(false);
				HangmanGUI.ButtonEvent("R");
			}
			if (event.getSource() == S)
			{
				S.setEnabled(false);
				HangmanGUI.ButtonEvent("S");
			}
			if (event.getSource() == T)
			{
				T.setEnabled(false);
				HangmanGUI.ButtonEvent("T");
			}
			if (event.getSource() == U)
			{
				U.setEnabled(false);
				HangmanGUI.ButtonEvent("U");
			}
			if (event.getSource() == V)
			{
				V.setEnabled(false);
				HangmanGUI.ButtonEvent("V");
			}
			if (event.getSource() == W)
			{
				W.setEnabled(false);
				HangmanGUI.ButtonEvent("W");
			}
			if (event.getSource() == X)
			{
				X.setEnabled(false);
				HangmanGUI.ButtonEvent("X");
			}
			if (event.getSource() == Y)
			{
				Y.setEnabled(false);
				HangmanGUI.ButtonEvent("Y");
			}
			if (event.getSource() == Z)
			{
				Z.setEnabled(false);
				HangmanGUI.ButtonEvent("Z");
			}
      }
   }
}